X2Go Bug report logs - #481
Mac client breaks keyboard layout

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Aaron Russell <aaron@unadopted.co.uk>

Date: Sat, 19 Apr 2014 18:30:01 UTC

Severity: critical

Tags: pending

Merged with 348

Found in versions 4.0.1.15, 4.0.4.0, 4.0.1.8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#481; Package x2goserver. (Sat, 19 Apr 2014 18:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aaron Russell <aaron@unadopted.co.uk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 19 Apr 2014 18:30:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Aaron Russell <aaron@unadopted.co.uk>
To: submit@bugs.x2go.org
Subject: Mac client breaks keyboard layout
Date: Sat, 19 Apr 2014 19:20:23 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.15

I've been having trouble with the Mac client for a few months now (Linux and Windows have been fine, however).

When I login to a new session, the keyboard is messed up (backspace becomes comma, control becomes capslock, etc). If I resume a session that was started on a Linux or Windows client however, the problem doesn't exist.

It sounds like the same problem described in http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=348 -- although that was patched and fixed.

Out of curiosity I tried reverting the commit made to fix that bug (which itself was a revert of another commit that brought in a fix for the Mac client). Suddenly things started working.

Here's the commit I reverted (well, I just hacked the x2gostartagent file on my server); http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=97f2341

I'm happy to assist with resolving this issue in whatever way I can.

I'm using Ubuntu 14.04 on the server (though the problem also exists on 12.04), and I'm using OS X 10.9.2 with x2goclient 4.0.1.3.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Tue, 06 May 2014 09:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 09:55:02 GMT) Full text and rfc822 format available.

Message #10 received at 481@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Aaron Russell <aaron@unadopted.co.uk>
Cc: 481@bugs.x2go.org
Subject: Mac keyboard issues
Date: Tue, 06 May 2014 09:54:10 +0000
[Message part 1 (text/plain, inline)]
Hi Aaron,

thanks for reporting this issue to our X2Go BTS. Sorry for the delay in reply.

Can you please check, if you can also fix your keyboard problems by  
changing things on the Mac client as described here [1]?

Thanks,
Mike

[1] http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=487
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Sun, 11 May 2014 21:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aaron Russell <aaron@unadopted.co.uk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 11 May 2014 21:35:02 GMT) Full text and rfc822 format available.

Message #15 received at 481@bugs.x2go.org (full text, mbox):

From: Aaron Russell <aaron@unadopted.co.uk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 481@bugs.x2go.org
Subject: Re: Mac keyboard issues
Date: Sun, 11 May 2014 22:23:56 +0100
[Message part 1 (text/plain, inline)]
Hi Mike, no worries!

I'm running the macosforge version of XQuartz rather than the MacPorts version.

My /usr/X11 is a symlink to /opt/X11, so seems I shouldn't be affected by that issue.

Kind regards,
Aaron

On 6 May 2014, at 10:54, Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:

> Hi Aaron,
> 
> thanks for reporting this issue to our X2Go BTS. Sorry for the delay in reply.
> 
> Can you please check, if you can also fix your keyboard problems by changing things on the Mac client as described here [1]?
> 
> Thanks,
> Mike
> 
> [1] http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=487
> -- 
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'critical' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.8. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Merged 348 481 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.4.0. Request was from John Pellman <John.Pellman@childmind.org> to control@bugs.x2go.org. (Tue, 01 Sep 2015 18:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Sat, 03 Oct 2015 03:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International MailService" <wayne.rich@montereybaygolfacademy.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 03 Oct 2015 03:55:02 GMT) Full text and rfc822 format available.

Message #30 received at 481@bugs.x2go.org (full text, mbox):

From: "FedEx International MailService" <wayne.rich@montereybaygolfacademy.com>
To: 481@bugs.x2go.org
Subject: Shipment delivery problem #00881283
Date: Fri, 2 Oct 2015 22:30:13 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

We could not deliver your parcel.
Shipment Label is attached to email.

Kind regards,
Wayne Rich,
FedEx Operation Manager.

[FedEx_ID_00881283.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Mon, 12 Oct 2015 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International MailService" <virgil.burns@bristerclothing.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Oct 2015 17:30:02 GMT) Full text and rfc822 format available.

Message #35 received at 481@bugs.x2go.org (full text, mbox):

From: "FedEx International MailService" <virgil.burns@bristerclothing.com>
To: 481@bugs.x2go.org
Subject: Problems with item delivery, n.0000791899
Date: Mon, 12 Oct 2015 12:05:09 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that one or more of your parcels has been shipped.
Delivery Label is attached to this email.

Regards,
Virgil Burns,
Operation Manager.

[0000791899.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Wed, 14 Oct 2015 06:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx Ground" <phillip.kelly@snesbit.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Oct 2015 06:25:02 GMT) Full text and rfc822 format available.

Message #40 received at 481@bugs.x2go.org (full text, mbox):

From: "FedEx Ground" <phillip.kelly@snesbit.com>
To: 481@bugs.x2go.org
Subject: Delivery Notification, ID 0000121672
Date: Tue, 13 Oct 2015 23:23:21 -0700
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel has arrived at October 11. Courier was unable to deliver the parcel to you.
You can review complete details of your order in the find attached.

Yours sincerely,
Phillip Kelly,
FedEx Support Agent.

[0000121672.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Sun, 27 Dec 2015 03:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Interfax Service" <incoming@interfax.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 27 Dec 2015 03:50:02 GMT) Full text and rfc822 format available.

Message #45 received at 481@bugs.x2go.org (full text, mbox):

From: "Interfax Service" <incoming@interfax.net>
To: 481@bugs.x2go.org
Subject: You have received a new fax, document 000589935
Date: Sat, 26 Dec 2015 20:42:17 -0700
[Message part 1 (text/plain, inline)]
You have received a new fax.

Please, download fax document attached to this email.

Scanned at:         Sun, 27 Dec 2015 01:39:19 +0300
Filesize:           171 Kb
Scan duration:      13 seconds
Document name:      task000589935.doc
Scan quality:       200 DPI
Pages scanned:      12
From:               Perry Herman

Thanks for choosing Interfax!

[task000589935.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Sun, 05 Mar 2017 04:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to sportautogramme@sportautogramme.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Mar 2017 04:50:01 GMT) Full text and rfc822 format available.

Message #50 received at 481@bugs.x2go.org (full text, mbox):

From: sportautogramme@sportautogramme.net
To: 481@bugs.x2go.org
Subject: Please recheck your delivery address (UPS parcel 7560074)
Date: Sun, 5 Mar 2017 05:38:03 +0100
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel was successfully delivered March 01 to UPS Station, but our courier cound not contact you.

Please review delivery label in attachment!

With anticipation,
Daryl Burton,
UPS Chief Delivery Manager.

[UPS-Parcel-ID-7560074.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Wed, 29 Mar 2017 14:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ifadmin@if-dining.jp:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 29 Mar 2017 14:50:02 GMT) Full text and rfc822 format available.

Message #55 received at 481@bugs.x2go.org (full text, mbox):

From: ifadmin@if-dining.jp
To: 481@bugs.x2go.org
Subject: Item Delivery Notification
Date: Wed, 29 Mar 2017 14:36:40 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check the attachment for your item delivery details!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

4W3E2wiZky4SoFJigNGJY5QTDPR/RSvSxBUzmXlZTp9oxae9PZRnnnIsbDIS8/gZydKJd1YUfDre
f15XJfZmvMSRDQ+spTys5xcHqb2Y7FAu+wC7Gb/f+WLHAoR2kjDu4qwpHBbBbxUiIR15oEgwaXj3
4MNmJliZ3iFfMp7CcQt5DieYTPhB6JhgZEveQj2aWxDLsV55N8MgqGzWEOJXhKDEcqy47a7aL56L
JPlfJd1h1uxEBOisxHBR9WzB8iZynfdcsMmLqyL1jRght5TycLY4EKXHXRWTm/C9zdxD6UrCOkAE
XkPPbR0Z0YIxmOkzcLEXMXAqP6Gz8U5JvWFqCF8n6BZ1l66+2RWXfw7zKSVnn+4GeKVkrn1nDj1A
skvwUwC8rMsjlgyyVQTdMIRvUV12Nc21PX+ftiOIYEKLP0vEeEtPvK+dc0HM8v58F4Fa0qZiz6IS
tJZbzxR2EVDzfzehSNsUsl7K/f+ZkYyFQleBOdmFFigrgyUH5QYU0oQsJvc6V7gP8AAsn7m3wP0i
pg37c9Xxk6D71nRVbySlTe+k2fGyhOFfqppdkjFVhTgpUmOG3T6HpihLxuhmO30Z3zZZm7ZQ42tp
SVdrfhoFifRB253EWsz8u6tkWghaASI08AP7V9OQDq+7jJjvzQDBqV381hv4rXMfDRMoSwy422Go
WEDx72+4jRoxPfygu90RUPmlX/5SftC0820vTKjGBxJQX2Mz4gzeuTGfgOF5gS7kEyoUKmn0ad/a
5JxxSP7vuV4JPxGUl45HIZHVZygHs/uR3DUFHpX8nWPCNEPOuWcWrAqamlwkpt+kZwshXZW6mX8j
ZfGY1vnjMzqeSikqaP2aA0PFy7AWGPu8Oj4WznnXzkjaFkPZUukObMa90GMsajwM/TaMNXYRQnXX
HPqvl1Cm033TNat2aq60LKys2kauLzsfB0IHEUWzd89MmubRQdSrT4H6TLRynHS18GLLuP6gsyG+
wWkjm4YVZmw2HKw8t0WVeslIQoyahye05tvO2bs8QBc+QJrBL4vQWwcOGrUjzRwc9AAI0QB2HOL/
IYcOGBqSYho7y58kdTK89FMu7ybjobdHXYRdm+dKlW7Uy4n99x4Pw+ZxxBwGtS/e4/6GbiAnIu7u
TVvf40o9KWDgbgOCdAJVnySlhv4Td0/mJtxKZCBc2AusuPNFFcDX5vxwQwwmq61hGu/eZCrBbOSO
SZhBRsUNRArDypumfjjP5ZUuSarIqZ8dRU8P10cMeJwzpWZQ/B3qRT7XX6Z9jBoCQMHfjwi9IN7x
9mShXFvCCgu6i6qMPyUspNi+rSO16ACZ2yzf+6NGQQ==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Label-ID-9PILINYL.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Sat, 01 Apr 2017 01:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to appynapp@box841.bluehost.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 01 Apr 2017 01:05:01 GMT) Full text and rfc822 format available.

Message #60 received at 481@bugs.x2go.org (full text, mbox):

From: appynapp@box841.bluehost.com
To: 481@bugs.x2go.org
Subject: Package Delivery Notification
Date: Fri, 31 Mar 2017 19:03:40 -0600
[Message part 1 (text/plain, inline)]
Dear Customer,

Please review your parcel delivery label in the attachment!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

SabQazJ3qNwnxyQAlevN587K5R9vSVYpkGyhQBRQdtOSNQ3w0ERhaNzOe1ShMpS4lO28pzouDflC
LEe5aJTbcZWjC4nM2Erle9sNTnZHajm1stMsj2FGCIhZslyMKsvx8VaqEsVUwWOsnv8p1rAo0J+w
8BbMrBeP/LwDRdqdDmDaVjx5g5pIEMDVpReQ8bRm3EBdP6nD0opd0pVoCZfhwC86MwRMm+bDwtsQ
8rurQaUZLqgwA2Xsbu7ppuoXLbwA0T996HnKLWjrmDQ8FxHOsEWYIETgZSfLNIEG9w1XpapNz2QH
RZxjlh0MERYk2Bg3x7OWk3Xve8kLdjTQueliLe197c9JaBA/VHcZKYWVJyn4QoCPmJlRJd0iCDHV
98cdbiUSJkfpPWdNuCxZBrAUz4H1cVPeiqCPXHvTfwsPv48Jh88KMh7ZUViFcMVUTbd0WXoQdEBQ
uau6d9uHBho0xnT7Zh091z3l+JpbUb+F0d88+9bYDj1ZvJvLogNSfCWZolfT9uNGrYNxkJLLEfaA
dgoLTxLP3oze2VSBdiw67jLmG2iSdDk+LFsQTkCKhCV/Ogxip9iEMGKkO0RR7n0xk03rvtDVtFwL
mbCFjYtzQ7OZxivJQsDwLh2IWBj1AF4N4TBc3wWLuI4bSqRQfvlZO07wfYjM73cLWYpyids8y7sr
oD/2DF355foffvcOHnIytFSkj591ZiapqVyVw1SFyWfayOB0CFOYAI5ZNLIdq+/pIb++xHKIxPKL
RKXO0jGrJE7Eus6wMVGTAu0M9166IQ/xpnkGsAIk+aXI+anqNu3TcjkR19fuUnLuFSeS977Ffplv
WRfLEfBTM41lmwihj9Tke/lh0E8O9J13/+9CEtdGKX2c9rlVhiwFSJstflVp+GCRnLgktt3uTNYC
OhGIJGBVeKICmzIk69/R2xyWgOC+yJIM/ry3RYsigXtqQ0cgslFRTRF7GkQIJndqNEh4o+qKlfIY
rCamoWO2V+YbKhvGlJaEKJPsk6ADaCwmpHlkVbGcnsxj33HuDiucUEwdIOh+6yK2MKXur6TMHxOV
qZ49qd+D5b16SgYikYuMzWOCN+oCBazhr3ud+6mGFZMScPpXpFOGsnwjsnLTvkNC7HoBlgOEOi/7
Qn8Hpx4jUmYpe/0Lu2EtTJ2uP3BkT2IhJ7GmyIbp3MY/pQew2nlzh0TxsBd6DsARhaHzGsM20czR
9g/lVdtPptSCX+r49lqRl9/TNZRL8w0btN0vm84NfnBK3BWdYX2lUT46eCIFqtCOgusQHaMlOJcv
RI/W0VlB6BAVAiaFPW6znQzQAIqyrYTKjIUf3jpgiA==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Label-ID-LRSAY2QD.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#481; Package x2goserver. (Wed, 12 Jul 2017 05:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to thepesc7@box1055.bluehost.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 12 Jul 2017 05:00:02 GMT) Full text and rfc822 format available.

Message #65 received at 481@bugs.x2go.org (full text, mbox):

From: thepesc7@box1055.bluehost.com
To: 481@bugs.x2go.org
Subject: New status of your UPS delivery (code: 09245782)
Date: Tue, 11 Jul 2017 22:30:41 -0600
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel was successfully delivered July 10 to UPS Station, but our courier cound not contact you.

Please check the attachment for complete details!

Most sincerely,
 ,
UPS Delivery Clerk.

[UPS-Label-09245782.zip (application/zip, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 19:29:26 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.